#!/usr/bin/env bash

function test {
	SUFFIX="dns.nixnet.xyz"

	SERVER="$1.$SUFFIX"

	SERVER4=$(dig -t A +short $SERVER | grep -v "xyz")
	SERVER6=$(dig -t AAAA +short $SERVER | grep -v "xyz")

	echo "TRYING IPv4 $SERVER (DNS-over-TLS, $SERVER4)"
	IP4_ADDR="$(kdig @$SERVER4 +noall +short +tls-ca +tls-host=$SERVER +tls-sni=$SERVER -t A whoami.v4.powerdns.org)"
	echo "$IP4_ADDR ($(dig +short -x $IP4_ADDR))"

	echo "TRYING IPv6 $SERVER (DNS-over-TLS, $SERVER6)"
	IP6_ADDR="$(kdig @$SERVER6 +noall +short +tls-ca +tls-host=$SERVER +tls-sni=$SERVER -t AAAA whoami.v6.powerdns.org)"
	echo "$IP6_ADDR ($(dig +short -x $IP6_ADDR))"

	echo ""
}


test "adblock.lv1"
test "adblock.lux1"
test "adblock.ny1"

echo ""
echo ""

test "uncensored.lv1"
test "uncensored.lux1"
test "uncensored.ny1"

